declare class BloomFilter {
    private size;
    private bitArray;
    constructor(size: number);
    add(item: string): void;
    test(item: string): boolean;
    serialize(): string;
    static deserialize(str: string, size: number): BloomFilter;
    static NOOP_TASK_SET_SIZE: number;
}

type LogLevel = "log" | "error" | "warn" | "info" | "debug";
declare class Logger {
    #private;
    constructor(name: string, level?: LogLevel, filteredKeys?: string[], jsonReplacer?: (key: string, value: unknown) => unknown, additionalFields?: () => Record<string, unknown>);
    filter(...keys: string[]): Logger;
    static satisfiesLogLevel(logLevel: LogLevel, setLevel: LogLevel): boolean;
    log(message: string, ...args: Array<Record<string, unknown> | undefined>): void;
    error(message: string, ...args: Array<Record<string, unknown> | undefined>): void;
    warn(message: string, ...args: Array<Record<string, unknown> | undefined>): void;
    info(message: string, ...args: Array<Record<string, unknown> | undefined>): void;
    debug(message: string, ...args: Array<Record<string, unknown> | undefined>): void;
}

export { BloomFilter, type LogLevel, Logger };
